## org.apache.fop.fo.flow
Class Leader

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.FObjMixed
                        |
                        +--org.apache.fop.fo.flow.Leader

public class Leader
extends FObjMixed

Implements fo:leader; main property of leader leader-pattern. The following patterns are treated: rule, space, dots. The pattern use-content is ignored, i.e. it still must be implemented.

Inner Class Summary
`static class` `Leader.Maker`

Inner classes inherited from class org.apache.fop.fo.FObjMixed
`FObjMixed.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`Leader(FObj parent, PropertyList propertyList)`

Method Summary
`int` `addLeader(BlockArea ba, FontState fontState, float red, float green, float blue, int leaderPattern, int leaderLengthMinimum, int leaderLengthOptimum, int leaderLengthMaximum, int ruleThickness, int ruleStyle, int leaderPatternWidth, int leaderAlignment)` adds a leader to current line area of containing block area the actual leader area is created in the line area
`Status` `layout(Area area)` generates the area or areas for this formatting object and adds these to the area.
`static FObj.Maker` `maker()`

Methods inherited from class org.apache.fop.fo.FObjMixed
`addCharacters`

Methods inherited from class org.apache.fop.fo.FObj
`end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Leader

    public Leader(FObj parent,
                  PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### layout

    public Status layout(Area area)
                  throws FOPException

  Description copied from class: FObj
  generates the area or areas for this formatting object and adds these to the area. This method should always be overridden by all sub classes
  Overrides:
    layout in class FObjMixed
  Tags copied from class: FObj
  Parameters:
    `area` -

### addLeader

    public int addLeader(BlockArea ba,
                         FontState fontState,
                         float red,
                         float green,
                         float blue,
                         int leaderPattern,
                         int leaderLengthMinimum,
                         int leaderLengthOptimum,
                         int leaderLengthMaximum,
                         int ruleThickness,
                         int ruleStyle,
                         int leaderPatternWidth,
                         int leaderAlignment)

  adds a leader to current line area of containing block area the actual leader area is created in the line area
  Returns:
    int +1 for success and -1 for none

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.